Bug 966233 - [abrt] pinentry-gtk-0.8.1-8.fc18: object_interface_check_properties: Process /usr/bin/pinentry-gtk-2 was killed by signal 5 (SIGTRAP)
[abrt] pinentry-gtk-0.8.1-8.fc18: object_interface_check_properties: Process ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pinentry (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
abrt_hash:73f5927e6d9dc8f19adfbd2e67b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-22 16:12 EDT by Stef Walter
Modified: 2014-02-05 16:29 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:29:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (23.97 KB, text/plain)
2013-05-22 16:12 EDT, Stef Walter
no flags Details
File: cgroup (127 bytes, text/plain)
2013-05-22 16:12 EDT, Stef Walter
no flags Details
File: core_backtrace (1.73 KB, text/plain)
2013-05-22 16:12 EDT, Stef Walter
no flags Details
File: dso_list (7.16 KB, text/plain)
2013-05-22 16:12 EDT, Stef Walter
no flags Details
File: environ (2.73 KB, text/plain)
2013-05-22 16:12 EDT, Stef Walter
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-22 16:12 EDT, Stef Walter
no flags Details
File: maps (34.42 KB, text/plain)
2013-05-22 16:12 EDT, Stef Walter
no flags Details
File: open_fds (222 bytes, text/plain)
2013-05-22 16:13 EDT, Stef Walter
no flags Details
File: proc_pid_status (946 bytes, text/plain)
2013-05-22 16:13 EDT, Stef Walter
no flags Details
File: var_log_messages (290 bytes, text/plain)
2013-05-22 16:13 EDT, Stef Walter
no flags Details

  None (edit)
Description Stef Walter 2013-05-22 16:12:14 EDT
Version-Release number of selected component:
pinentry-gtk-0.8.1-8.fc18

Additional info:
backtrace_rating: 4
cmdline:        /usr/bin/pinentry-gtk-2 --display :0
crash_function: object_interface_check_properties
executable:     /usr/bin/pinentry-gtk-2
kernel:         3.8.4-202.fc18.x86_64
runlevel:       N 5
uid:            1000
ureports_counter: 2
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 object_interface_check_properties at gobject.c:1441
 #3 type_iface_vtable_iface_init_Wm at gtype.c:2055
 #4 type_class_init_Wm at gtype.c:2243
 #5 g_type_class_ref at gtype.c:2924
 #8 gtk_secure_entry_new at gtksecentry.c:2648
 #9 create_window at pinentry-gtk-2.c:391
 #10 gtk_cmd_handler at pinentry-gtk-2.c:557
 #11 cmd_getpin at pinentry.c:897
 #12 dispatch_command at assuan-handler.c:435
 #13 process_request at assuan-handler.c:458
Comment 1 Stef Walter 2013-05-22 16:12:20 EDT
Created attachment 751878 [details]
File: backtrace
Comment 2 Stef Walter 2013-05-22 16:12:23 EDT
Created attachment 751879 [details]
File: cgroup
Comment 3 Stef Walter 2013-05-22 16:12:27 EDT
Created attachment 751880 [details]
File: core_backtrace
Comment 4 Stef Walter 2013-05-22 16:12:41 EDT
Created attachment 751881 [details]
File: dso_list
Comment 5 Stef Walter 2013-05-22 16:12:47 EDT
Created attachment 751882 [details]
File: environ
Comment 6 Stef Walter 2013-05-22 16:12:52 EDT
Created attachment 751883 [details]
File: limits
Comment 7 Stef Walter 2013-05-22 16:12:57 EDT
Created attachment 751884 [details]
File: maps
Comment 8 Stef Walter 2013-05-22 16:13:02 EDT
Created attachment 751885 [details]
File: open_fds
Comment 9 Stef Walter 2013-05-22 16:13:07 EDT
Created attachment 751886 [details]
File: proc_pid_status
Comment 10 Stef Walter 2013-05-22 16:13:11 EDT
Created attachment 751887 [details]
File: var_log_messages
Comment 11 Stef Walter 2013-05-22 16:19:56 EDT
Fixed upstream at:

commit 671a1a70eceb7a31feb0df997fbc8eb25f722895
Author: Werner Koch <wk@gnupg.org>
Date:   Tue Jun 28 19:22:56 2011 +0200

    Get rid of the runtime warning about "editing-canceled".
    
    Actually this property is only used by GtkTreeView which we don't use.
    However newer gtk versions require this to be a property and thus we
    implement it as a dummy.
Comment 12 Fedora End Of Life 2013-12-21 08:40:34 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2014-02-05 16:29:30 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.